# Version 2.0.0 - Upgrade Release - 2024-10
- Correction and simplification of the data preparation Flow zone
- Full rework of the Flow to integrate the Survival Analysis plugin
- Creation of a Flow zone to add LLM capabilities, which appear in the third panel of the dashboard
- Switch from plug-and-play to template, simplifying the scenarios and moving from Dataiku Application to Dataiku Project Setup
- Changed python requirements
- Renaming of the solution from _Predictive Maintenance_ to _Maintenance Performance and Planning_ to more accurately reflect the value proposition of the solution
- Updated code environment to *solution-maintenance_performance_planning*

# Version 1.0.2 - Upgrade Release - 2023-11-06
- Minor documentation updates for cloud
- Updated code environment to *solution_predictive-maintenance*

# Version 1.0.1 - Upgrade Release - 2023-10-13
- Bugfixes
- Changed python requirements
- Chart sampling removed

# Version 1.0.0 - Initial Release - 2023-09 : 
- Implements a Survival Analysis model to forecast the timing of the next maintenance operation for each machine, enhancing the efficiency of maintenance schedules.
- Delivers a comprehensive analysis of each piece of equipment and its corresponding maintenance operation, contributing to a deeper understanding and more informed decision-making.
- Employs the Cox Proportional Hazard model to illustrate the influence of each equipment variable on the risk of maintenance, providing valuable insights into risk factors and their impact.