![project_setup.png](2m4lOeNINXBx)

The project setup allows you to modify the core parameters of the project:

- **End date of the analysis**: You can select the date at which to run the analysis. This primarily depends on the data: the analysis will assume that between the last maintenance operation and this date, no maintenance occurred, meaning all equipment has been running smoothly during this period. As a result, this date can impact the outcome of the analysis.

- **Target Planned Maintenance Ratio (%)**: This is the ratio between planned and unplanned maintenance that you aim for. It will be used only as a visual benchmark in the dashboard, allowing comparison with the actual planned maintenance ratio computed from the data.

- **Maximum planned interval (days)**: This parameter allows you to set a maximum interval for scheduling maintenance. If an equipment's maintenance is scheduled beyond this interval, the date will be rescheduled to respect this maximum time frame.

The project setup provides default values, so modifying them is optional. Once ready, you can click on **Run** to build the entire Flow and view the results by clicking on the **Dashboard** link.